wxMirrorDC(3)

NAME
wxMirrorDC - wxMirrorDC is a simple wrapper class which is always associated with a real wxDC object and either forwards all of its operations to it without changes (no mirroring takes place) or exchanges x and y coordinates which makes it possible to reuse the same code to draw a figure and its mirror -- i.e.

DESCRIPTION

reflection related to the diagonal line x == y.

Since: 2.5.0

This class is derived, and can use functions, from:

    • wxDC

wxWidgets docs: wxMirrorDC

DATA TYPES

wxMirrorDC() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxMirrorDC()) -> ok.

    Destroys the object
new(Dc, Mirror) -> wxMirrorDC() when Dc :: wxDC:wxDC(), Mirror :: boolean().

    Creates a (maybe) mirrored DC associated with the real dc.

    Everything drawn on wxMirrorDC will appear (and maybe mirrored) on dc.

    mirror specifies if we do mirror (if it is true) or not (if it is false).